MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029779Open CASCADE[OCCT] OCCT:Visualizationpublic2018-05-16 15:592018-06-29 21:18
Reporternds 
Assigned Toabv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029779: Visualization, SelectMgr_SelectableObject - sensitivity change for object not activated in given mode leads to crash
DescriptionSelectMgr_Selection instance of a selectable object should be checked on NULL before using in SetSelectionSensitivity of SelectMgr_SelectionManager.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0028987closedkgv Visualization, SelectMgr_SelectableObject - move out iterator from object 

-  Notes
(0075999)
git (administrator)
2018-05-16 16:07

Branch CR29779 has been created by nds.

SHA-1: 628a04b348e13f2f2b0bf492a9ca833e160a344c


Detailed log of new commits:

Author: nds
Date: Wed May 16 16:07:14 2018 +0300

    0029779: Visualization, SelectMgr_SelectableObject - sensitivity change for object not activated in given mode leads to crash
(0076000)
git (administrator)
2018-05-16 16:50

Branch CR29779 has been updated by nds.

SHA-1: 156fbf84aaf2ab8d4b7101a2cf5d60a60500bdd1


Detailed log of new commits:

Author: nds
Date: Wed May 16 16:50:22 2018 +0300

    # test case for this bug is moved into bug26462_1

(0076001)
git (administrator)
2018-05-16 17:06

Branch CR29779_1 has been created by nds.

SHA-1: 36f8143c061e1cd194f392079a898538bcd2114f


Detailed log of new commits:

Author: nds
Date: Wed May 16 17:06:10 2018 +0300

    0029779: Visualization, SelectMgr_SelectableObject - sensitivity change for object not activated in given mode leads to crash
(0076002)
nds (developer)
2018-05-16 18:32

http://jenkins-test-11.nnov.opencascade.com/view/CR29779-master-NDS/ [^]
(0076003)
nds (developer)
2018-05-16 18:33

Please, review.
(0076004)
kgv (developer)
2018-05-16 18:49

Please take the patch.
(0076153)
bugmaster (administrator)
2018-05-23 12:12

Combination -
OCCT branch : CR29779_1 SHA - 36f8143c061e1cd194f392079a898538bcd2114f
Products branch : master SHA - 300cf879a836fb8a5c4636713070ca9cf544749f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18279.679999999895 / 18243.73999999987 [+0.20%]
Products
Total CPU difference: 7497.02000000006 / 7505.440000000054 [-0.11%]
Windows-64-VC10:
OCCT
Total CPU difference: 18115.2261224986 / 18049.78370299853 [+0.36%]
Products
Total CPU difference: 7684.359658399961 / 7697.713343999945 [-0.17%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0076951)
git (administrator)
2018-06-23 13:56

Branch CR29779 has been deleted by kgv.

SHA-1: 156fbf84aaf2ab8d4b7101a2cf5d60a60500bdd1
(0076952)
git (administrator)
2018-06-23 13:56

Branch CR29779_1 has been deleted by kgv.

SHA-1: 36f8143c061e1cd194f392079a898538bcd2114f

- Related Changesets
occt: master 0e4e721c
Timestamp: 2018-05-16 14:06:10
Author: abv
Committer: abv
Details ] Diff ]
0029779: Visualization, SelectMgr_SelectableObject - sensitivity change for object not activated in given mode leads to crash
mod - src/SelectMgr/SelectMgr_SelectionManager.cxx Diff ] File ]
mod - tests/bugs/vis/bug26462_1 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-05-16 15:59 nds New Issue
2018-05-16 15:59 nds Assigned To => kgv
2018-05-16 16:00 nds Relationship added related to 0028987
2018-05-16 16:07 git Note Added: 0075999
2018-05-16 16:10 nds Assigned To kgv => nds
2018-05-16 16:11 nds Status new => resolved
2018-05-16 16:50 git Note Added: 0076000
2018-05-16 17:06 git Note Added: 0076001
2018-05-16 18:32 nds Note Added: 0076002
2018-05-16 18:33 nds Note Added: 0076003
2018-05-16 18:33 nds Assigned To nds => kgv
2018-05-16 18:49 kgv Note Added: 0076004
2018-05-16 18:49 kgv Assigned To kgv => bugmaster
2018-05-16 18:49 kgv Severity minor => trivial
2018-05-16 18:49 kgv Status resolved => reviewed
2018-05-16 18:49 kgv Product Version => 7.3.0
2018-05-16 18:49 kgv Target Version 7.4.0* => 7.3.0
2018-05-16 18:49 kgv Relationship replaced child of 0028987
2018-05-23 12:07 bugmaster Test case number => bugs vis bug26462_1
2018-05-23 12:10 bugmaster Test case number bugs vis bug26462_1 => Not needed
2018-05-23 12:12 bugmaster Note Added: 0076153
2018-05-23 12:12 bugmaster Status reviewed => tested
2018-05-24 16:02 abv Changeset attached => occt master 0e4e721c
2018-05-24 16:02 abv Assigned To bugmaster => abv
2018-05-24 16:02 abv Status tested => verified
2018-05-24 16:02 abv Resolution open => fixed
2018-06-23 13:56 git Note Added: 0076951
2018-06-23 13:56 git Note Added: 0076952
2018-06-29 21:13 user533 Fixed in Version => 7.3.0
2018-06-29 21:18 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker